Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp chamber đường line và arc (cung tròn)


  • Please log in to reply
18 replies to this topic

#1 viettien_03

viettien_03

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 16 May 2013 - 05:34 PM

25600_chamber_1.jpg

Mình đã từng post chủ đề 1 lần và bị xóa, hix không biết bài viết có vi phạm điều gì không, các mod góp ý thêm.

Chả là mình đang rất cần 1 lisp có thể chamber được line và arc, xin mọi người giúp đỡ.

Similar topics from web:

  • 1

#2 toanxd2612

toanxd2612

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 May 2013 - 06:08 PM

các bạn giúp mình với mình mới học cad nhưng tự học thôi ko ai day.khi mình vẽ hình chữ nhât thì dùng lệnh rec sau đó enter nhập kich thước 2 cạnh rồi enter mà ko ra hình có kích  thước như mình nhập mình đã vào cài đặt cho kích thước đo vè milimet mà ko hiểu sao  vẫn ko đc ai giúp mình với. thân


  • 0

#3 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 16 May 2013 - 06:23 PM

các bạn giúp mình với mình mới học cad nhưng tự học thôi ko ai day.khi mình vẽ hình chữ nhât thì dùng lệnh rec sau đó enter nhập kich thước 2 cạnh rồi enter mà ko ra hình có kích  thước như mình nhập mình đã vào cài đặt cho kích thước đo vè milimet mà ko hiểu sao  vẫn ko đc ai giúp mình với. thân

Gõ lệnh >>> Chọn điểm bất kỳ >>> nhâp @50,20

Command: REc RECTANG
Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]:
Specify other corner point or [Area/Dimensions/Rotation]:
>>Enter new value for ORTHOMODE <0>:
Resuming RECTANG command.
Specify other corner point or [Area/Dimensions/Rotation]: @50,20
Command:


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...

 

 


#4 toanxd2612

toanxd2612

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 May 2013 - 08:15 PM

bạn nói rõ hơn đc ko sao mình làm mà vẫn ko đc


  • 0

#5 Hantinhsaycad

Hantinhsaycad

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 1073 Bài viết
Điểm đánh giá: 376 (khá)

Đã gửi 16 May 2013 - 08:39 PM

Hì hì hì , bạn để ý ô DYN dưới đáy màn hình CAD Nếu bỏ chọn thì làm theo hướng dẫn của @ Hoằn , Còn bật DYN thì không nhập @

 Command:  RECTANG >>enter >>chọn một điềm đầu >> nhập tọa độ điểm đối diên  ( có kích thước : chiều dài và chiều rộng )112313_screenshot_2_3.png


  • 0

Đừng để một ai chẳng nhận được gì khi rời chỗ bạn, cho dù bạn biết rằng không bao giờ gặp lại.

Ngạn ngữ Pháp


#6 quansla

quansla

    biết lệnh xclip

  • Members
  • PipPipPipPipPipPipPip
  • 641 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 16 May 2013 - 09:08 PM

25600_chamber_1.jpg

Mình đã từng post chủ đề 1 lần và bị xóa, hix không biết bài viết có vi phạm điều gì không, các mod góp ý thêm.

Chả là mình đang rất cần 1 lisp có thể chamber được line và arc, xin mọi người giúp đỡ.

Similar topics from web:

hix, mình like giúp bạn để bỏ phần -1 đi nhưng tình hình là với topic như thế này bạn lại dễ bị quăng gạch lắm, bạn có thể đọc thêm,lại,đọc kỹ các chú ý khi lập topic sẽ rõ mình mắc lỗi gì, vì sao không được giúp đỡ?

http://www.cadviet.c...i-len-dien-dan/

trên là link nội quy lập topic.

Còn vấn đề của bạn thì lệnh CHAMFER của Cad không giải quyết được gì? bạn cần "cải tiến",rút gọn chỗ nào, yêu cầu như thế nào về các tham số, bạn vẫn cần nói rõ thêm, hãy thử xem lại vài topic đã lập trước xem cách chủ topic đặt vấn đề, trình bày, và gợi ý hướng sử dụng nhé


  • 0

#7 toanxd2612

toanxd2612

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 May 2013 - 10:10 PM

Gõ lệnh >>> Chọn điểm bất kỳ >>> nhâp @50,20

Command: REc RECTANG
Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]:
Specify other corner point or [Area/Dimensions/Rotation]:
>>Enter new value for ORTHOMODE <0>:
Resuming RECTANG command.
Specify other corner point or [Area/Dimensions/Rotation]: @50,20
Command:

cảm ơn các bạn nhé


  • 0

#8 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 May 2013 - 08:46 AM

hix, mình like giúp bạn để bỏ phần -1 đi nhưng tình hình là với topic như thế này bạn lại dễ bị quăng gạch lắm, bạn có thể đọc thêm,lại,đọc kỹ các chú ý khi lập topic sẽ rõ mình mắc lỗi gì, vì sao không được giúp đỡ?

http://www.cadviet.c...i-len-dien-dan/

trên là link nội quy lập topic.

Còn vấn đề của bạn thì lệnh CHAMFER của Cad không giải quyết được gì? bạn cần "cải tiến",rút gọn chỗ nào, yêu cầu như thế nào về các tham số, bạn vẫn cần nói rõ thêm, hãy thử xem lại vài topic đã lập trước xem cách chủ topic đặt vấn đề, trình bày, và gợi ý hướng sử dụng nhé

Đời mới ko biết chứ 2007 thì champer không nhận cung tròn.


  • -1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#9 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 May 2013 - 01:35 PM

25600_chamber_1.jpg
Mình đã từng post chủ đề 1 lần và bị xóa, hix không biết bài viết có vi phạm điều gì không, các mod góp ý thêm.
Chả là mình đang rất cần 1 lisp có thể chamber được line và arc, xin mọi người giúp đỡ.
Similar topics from web:

Hề hề hề,
Này thì lisp.http://www.cadviet.c...hamferofarc.lsp


 
(defun c:chamarc ( /)
(vl-load-com)
(command "undo" "be")
(setq e1 (car (entsel "\n Chon doi tuong can chamfer thu nhat"))
          e2 (car (entsel "\n Chon doi tuong can chamfer thu hai"))
          ob1 (vlax-ename->vla-object e1)
          ob2 (vlax-ename->vla-object e2)
          p (car (acet-geom-intersectwith e1 e2 0))
          d (getdist "\n Nhap khoang cach chamfer: ")
)
;;;(if (= (cdr (assoc 0 (entget e1))) "LINE")
(if (equal p (vlax-curve-getstartpoint ob1) 0.0001)
    (progn
          (setq p1 (vlax-curve-getpointatdist ob1 d))
          (command "break" e1 "_non" p1 "_non" (vlax-curve-getstartpoint ob1))
    )
    (progn
           (setq p1 (vlax-curve-getpointatdist ob1 (- (vlax-curve-getdistatpoint ob1 (vlax-curve-getendpoint ob1)) d)))
           (command "break" e1 "_non" p1 "_non" (vlax-curve-getendpoint ob1))
    )
)
(if (equal p (vlax-curve-getstartpoint ob2) 0.0001)
    (progn
          (setq p2 (vlax-curve-getpointatdist ob2 d))
          (command "break" e2 "_non" p2 "_non" (vlax-curve-getstartpoint ob2))
    )
    (progn
          (setq p2 (vlax-curve-getpointatdist ob2 (- (vlax-curve-getdistatpoint ob2 (vlax-curve-getendpoint ob2)) d)))
          (command "break"  e2 "_non" p2 "_non" (vlax-curve-getendpoint ob2))
     )
)
(command "pline" "_non" p1 "_non" p2 "")
(command "undo" "e")
(princ)
)


Hề hề hề, lisp chỉ dùng với các đường có điểm giao nhau thôi nhé. còn nếu nó hở thì ..... cố mà nối cho kín lại. Khoảng cách chamfer phải nhỏ hơn độ dài nhỏ nhất của các đường cần chamfer.


Bài viết đã được chỉnh sửa nội dung bởi phamthanhbinh: 22 May 2013 - 03:53 PM

  • 3
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#10 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 17 May 2013 - 01:45 PM

Hông ấy bác dùng fillet r=0 cho tụi nó phát rồi làm cho nó có điểm chung bác nờ!


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#11 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 17 May 2013 - 03:39 PM

Dùng thử Lisp này xem đúng ý chưa ?

- Cho phép chọn Line Arc lẫn lộn hoặc cả 2 Arc hay 2 Line.

- khoảng cách chamfer lấy theo biến hệ thống ChamferA của Cad.

(defun c:cla (/ data1 data2 e1 e2 lst_pt oo pts tmp);CLA ->ChamferLineArc
  ;; By : Gia_bach 2013 ;;
  (defun SysVarReal(name msg / cd)
    (initget 4)
    (setq cd (getdist (strcat msg " <" (rtos (getvar name)) "> : ")) )
    (if cd (setvar name cd) (setq cd (getvar name)) )  )
  (defun SelectLineArc(msg / ent esel pt)
    (while (not (and (setq esel (entsel msg)
			   ent (car esel))
		     (if ent (wcmatch (cdr (assoc 0 (entget ent))) "LINE,ARC") ) ) )
      (princ "\nSelect Again: ")    )
    (setq pt (vlax-curve-getClosestPointTo ent (cadr esel)))
    (if (< (distance pt (vlax-curve-getStartPoint ent))
	   (distance pt (vlax-curve-getEndPoint ent)))
      (list (vlax-ename->vla-object ent) (vlax-curve-getStartPoint ent))
      (list (vlax-ename->vla-object ent) (vlax-curve-getEndPoint ent))))
  (defun list->3pair (old / new)
    (while (setq new (cons (list (car old) (cadr old) (caddr old)) new)
		 old (cdddr old))) new )
  (defun mid (p1 p2)
    (list (* (+ (car p1) (car p2)) 0.5)
	  (* (+ (cadr p1) (cadr p2)) 0.5)
	  (* (+ (caddr p1) (caddr p2)) 0.5) ))
  (defun updateObj (obj inter dis / cen ang pt rad)
    (if (eq (vla-get-Objectname obj) "AcDbLine")
      (if (< (distance inter (vlax-curve-getStartPoint obj))
	     (distance inter (vlax-curve-getEndPoint obj)))
	(vla-put-StartPoint obj (vlax-3D-point (setq pt (polar inter (angle (vlax-curve-getStartPoint obj)(vlax-curve-getEndPoint obj))dis))))
	(vla-put-EndPoint obj (vlax-3D-point (setq pt(polar inter (angle (vlax-curve-getEndPoint obj)(vlax-curve-getStartPoint obj))dis))) ))
      (progn
	(setq cen (vlax-safearray->list (variant-value (vla-get-Center obj)))
	      rad (vla-get-Radius obj))
	(if (< (distance inter (vlax-curve-getStartPoint obj))
	     (distance inter (vlax-curve-getEndPoint obj)))
	  (vla-put-StartAngle obj (vlax-make-variant (setq ang (+ (angle cen inter) (* 2(asin (/ dis 2 rad)))))) )
	  (vla-put-EndAngle obj (vlax-make-variant (setq ang (- (angle cen inter) (* 2(asin (/ dis 2 rad)))))) ) )
	(setq pt (polar cen ang rad)) ) )
    pt)
  (defun asin (f_ang)
    (if (= (atof (rtos (abs f_ang))) 1)
      0
      (atan (/ f_ang (sqrt (+ (* (- f_ang) f_ang) 1))))    ))
  ;Main 
  (if
    (and
      (setq data1 (SelectLineArc "\n Chon d/tuong 1:"))
      (setq data2 (SelectLineArc "\n Chon d/tuong 2:")))
    (progn
	(setq e1 (car data1) e2 (car data2))
	(if (setq pts (vlax-invoke e1 'IntersectWith e2 acExtendBoth))
	  (progn
	    (setq dis (SysVarReal "Chamfera" "\nKhoang cach Chamfer:")
		  lst_pt (append (list->3pair pts) lst_pt) tmp (mid (cadr data1) (cadr data2))
		  oo (car (vl-sort lst_pt '(lambda (x y) (< (distance tmp x) (distance tmp y))))))
	    (vla-addLine (vla-get-modelspace (vla-get-ActiveDocument(vlax-get-acad-object)))
	      (vlax-3D-point (updateObj e1 oo dis)) (vlax-3D-point (updateObj e2 oo dis))) )
	  (alert "Khong co giao diem") )  ) )
  (princ))

  • 3

#12 viettien_03

viettien_03

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 May 2013 - 05:16 PM

- Đầu tiên là rất cảm ơn bạn phamthanhbinh và bạn gia_bach đã nhiệt tình giúp đỡ, cái lisp này đúng là cái mình cần. Nhưng mình mới sủ dụng được lisp của gia_bach chứ của bạn phamthanhbinh thì load lên thì bị lỗi @@. Nhưng không sao lisp của gia_bach hoạt đống rất tốt.

- Thứ nữa bạn gia_bach có thẻ gia công sửa thêm chút thế này để sủ dụng cho tiện được không:

+ Hiện tại lisp hoạt động yêu cầu chọn lần lượt từng đối tường rồi nhập khoảng cách

+ gia_bach có thể sửa lại 1 chút cho cách hoạt động giống lệnh gốc (chamber) được không, minh đang quen nhập khoảng cách d trước rồi cứ thế chọn đối tượng rồi kết thúc lệnh.

- Dù có sửa được hay không đi nữa mình rất cảm ơn gia_bach 


  • 0

#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 21 May 2013 - 06:55 AM

- Đầu tiên là rất cảm ơn bạn phamthanhbinh và bạn gia_bach đã nhiệt tình giúp đỡ, cái lisp này đúng là cái mình cần. Nhưng mình mới sủ dụng được lisp của gia_bach chứ của bạn phamthanhbinh thì load lên thì bị lỗi @@. Nhưng không sao lisp của gia_bach hoạt đống rất tốt.

- Thứ nữa bạn gia_bach có thẻ gia công sửa thêm chút thế này để sủ dụng cho tiện được không:

+ Hiện tại lisp hoạt động yêu cầu chọn lần lượt từng đối tường rồi nhập khoảng cách

+ gia_bach có thể sửa lại 1 chút cho cách hoạt động giống lệnh gốc (chamber) được không, minh đang quen nhập khoảng cách d trước rồi cứ thế chọn đối tượng rồi kết thúc lệnh.

- Dù có sửa được hay không đi nữa mình rất cảm ơn gia_bach 

Bác Gia_bach dùng câu nhập liệu này thì chiều lòng được mọi khách hàng khó tính nhất:

 

Select first line or [Undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]:


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#14 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1432 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 21 May 2013 - 09:33 AM

Bác Gia_bach dùng câu nhập liệu này thì chiều lòng được mọi khách hàng khó tính nhất:

 

Select first line or [Undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]:

Phương châm của chúng tôi là "làm hài lòng mọi khách hàng khó tính nhất".

Nhưng không phải "bấm 10 like"  mà là "like 10 chai" :P !

 

viettien_03 : Cad không có lệnh chamber nào cả ??

Gửi bạn Lisp gần giống lệnh Chamfer :

(defun c:cla (/ data1 data2 dis e1 e2 lst_pt oo pts tmp);CLA ->ChamferLineArc
  ;; By : Gia_Bach 2013 ;;
  (defun SysVarReal(name msg / cd)
    (initget 4)
    (setq cd (getdist (strcat msg " <" (rtos (getvar name)) "> : ")) )
    (if cd (setvar name cd) (setq cd (getvar name)) )  )
  (defun SelectLineArc(msg / ent esel pt)
    (while (not (and (setq esel (entsel msg)
			   ent (car esel))
		     (if ent (wcmatch (cdr (assoc 0 (entget ent))) "LINE,ARC") ) ) )
      (princ "\nSelect Again: ")    )
    (setq pt (vlax-curve-getClosestPointTo ent (cadr esel)))
    (if (< (distance pt (vlax-curve-getStartPoint ent))
	   (distance pt (vlax-curve-getEndPoint ent)))
      (list (vlax-ename->vla-object ent) (vlax-curve-getStartPoint ent))
      (list (vlax-ename->vla-object ent) (vlax-curve-getEndPoint ent))))
  (defun list->3pair (old / new)
    (while (setq new (cons (list (car old) (cadr old) (caddr old)) new)
		 old (cdddr old))) new )
  (defun mid (p1 p2)
    (list (* (+ (car p1) (car p2)) 0.5)
	  (* (+ (cadr p1) (cadr p2)) 0.5)
	  (* (+ (caddr p1) (caddr p2)) 0.5) ))
  (defun updateObj (obj inter dis / cen ang pt rad)
    (if (eq (vla-get-Objectname obj) "AcDbLine")
      (if (< (distance inter (vlax-curve-getStartPoint obj))
	     (distance inter (vlax-curve-getEndPoint obj)))
	(vla-put-StartPoint obj (vlax-3D-point (setq pt (polar inter (angle (vlax-curve-getStartPoint obj)(vlax-curve-getEndPoint obj))dis))))
	(vla-put-EndPoint obj (vlax-3D-point (setq pt(polar inter (angle (vlax-curve-getEndPoint obj)(vlax-curve-getStartPoint obj))dis))) ))
      (progn
	(setq cen (vlax-safearray->list (variant-value (vla-get-Center obj)))
	      rad (vla-get-Radius obj))
	(if (< (distance inter (vlax-curve-getStartPoint obj))
	     (distance inter (vlax-curve-getEndPoint obj)))
	  (vla-put-StartAngle obj (vlax-make-variant (setq ang (+ (angle cen inter) (* 2(asin (/ dis 2 rad)))))) )
	  (vla-put-EndAngle obj (vlax-make-variant (setq ang (- (angle cen inter) (* 2(asin (/ dis 2 rad)))))) ) )
	(setq pt (polar cen ang rad)) ) )
    pt)
  (defun asin (f_ang)
    (if (= (atof (rtos (abs f_ang))) 1)
      0
      (atan (/ f_ang (sqrt (+ (* (- f_ang) f_ang) 1))))    ))
  ;Main 
  (if
    (and
      (setq dis (SysVarReal "Chamfera" "\nKhoang cach Chamfer:"))
      (setq data1 (SelectLineArc "\n Chon d/tuong 1:"))
      (setq data2 (SelectLineArc "\n Chon d/tuong 2:")))
    (progn
	(setq e1 (car data1) e2 (car data2))
	(if (setq pts (vlax-invoke e1 'IntersectWith e2 acExtendBoth))
	  (progn
	    (setq lst_pt (append (list->3pair pts) lst_pt) tmp (mid (cadr data1) (cadr data2))
		  oo (car (vl-sort lst_pt '(lambda (x y) (< (distance tmp x) (distance tmp y))))))
	    (vla-addLine (vla-get-modelspace (vla-get-ActiveDocument(vlax-get-acad-object)))
	      (vlax-3D-point (updateObj e1 oo dis)) (vlax-3D-point (updateObj e2 oo dis))) )
	  (alert "Khong co giao diem") )  ) )
  (princ))

 

- Đầu tiên là rất cảm ơn bạn phamthanhbinh và bạn gia_bach đã nhiệt tình giúp đỡ, cái lisp này đúng là cái mình cần. Nhưng mình mới sủ dụng được lisp của gia_bach chứ của bạn phamthanhbinh thì load lên thì bị lỗi @@. Nhưng không sao lisp của gia_bach hoạt đống rất tốt.

- Thứ nữa bạn gia_bach có thẻ gia công sửa thêm chút thế này để sủ dụng cho tiện được không:

+ Hiện tại lisp hoạt động yêu cầu chọn lần lượt từng đối tường rồi nhập khoảng cách 

gia_bach có thể sửa lại 1 chút cho cách hoạt động giống lệnh gốc (chamber) được không, minh đang quen nhập khoảng cách d trước rồi cứ thế chọn đối tượng rồi kết thúc lệnh.

- Dù có sửa được hay không đi nữa mình rất cảm ơn gia_bach 

 

  • 3

#15 viettien_03

viettien_03

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 21 May 2013 - 10:23 AM

@ to gia_bach trước giờ vẫn nhớ là chamfer mà google toàn ra chamber, làm biếng coi lại lệnh gốc nên cứ để thế luôn thoi :D. Mà vấn đề này các bác dân dụng ít gặp chứ QHXD thì dụng liên tục, nhất là mấy anh giao thông ^^

thank thêm lần nữa gia_bach ^^

 

@ all tiện thể các bác cho hoi phần down load đang gặp vấn đề gì vậy nhỉ mình down font chữ romans1.shx (font unicode cho cad đuôi .SHX) mà toàn lỗi  link đây : http://www.cadviet.c...-unicode/page-3


  • 0

#16 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 May 2013 - 03:32 PM

- Đầu tiên là rất cảm ơn bạn phamthanhbinh và bạn gia_bach đã nhiệt tình giúp đỡ, cái lisp này đúng là cái mình cần. Nhưng mình mới sủ dụng được lisp của gia_bach chứ của bạn phamthanhbinh thì load lên thì bị lỗi @@. Nhưng không sao lisp của gia_bach hoạt đống rất tốt.

- Thứ nữa bạn gia_bach có thẻ gia công sửa thêm chút thế này để sủ dụng cho tiện được không:

+ Hiện tại lisp hoạt động yêu cầu chọn lần lượt từng đối tường rồi nhập khoảng cách

+ gia_bach có thể sửa lại 1 chút cho cách hoạt động giống lệnh gốc (chamber) được không, minh đang quen nhập khoảng cách d trước rồi cứ thế chọn đối tượng rồi kết thúc lệnh.

- Dù có sửa được hay không đi nữa mình rất cảm ơn gia_bach 

Hề hề hề,

Sorry all. chả biết cái "lỗi @@" nó ra răng nên cũng chả biết sửa nó thế nào??? Vậy rất mong chủ thớt post nguyên cái thông báo lỗi lên để mình check lại. Khi mình test với cái CADcui04 thì nó chạy phe phé, lại còn thò mồm ra mắng thằng CAd là sao chạy chậm thế. 

Khổ thế đấy, con nhà nghèo, túi thủng, trí lùn nên cứ phải tậm tạch với cái Cad đời đã sang tiểu.

Hề hề hề.....


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#17 hoangkimoanh

hoangkimoanh

    biết vẽ spline

  • Members
  • PipPip
  • 92 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 21 May 2013 - 10:20 PM

anh binh ơi, bị lỗi khi load như này:

; error: malformed list on input


  • 0

#18 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 22 May 2013 - 03:38 PM

anh binh ơi, bị lỗi khi load như này:

; error: malformed list on input

Hề hề hề,

Chu choa, vậy là bạn chép code bị thiếu cái dấu ngoặc nào đó rùi. Chịu khó chep lại code hoặc gửi cái code đã down lên để mình check hộ.

 

Sorry all,

Lỗi do bị mất dấu vô hiệu hóa dòng code thừa:

(if (= (cdr (assoc 0 (entget e1))) "LINE")

Các bạn có thể xóa hoàn toàn dòng code này đi hoặc đơn giản hơn là vô hiệu hóa nó bằng một hay nhiều dấu ; phía trước dòng code.

Có lẽ do mình sơ suất khi post bài không check lại mà post nhầm code trước khi sửa lỗi. 

Đã sửa lại code ở bài post số #9. Mọi người chịu khó down lại nhé. Xin thành thật xin lỗi và cảm ơn sự rộng lượng của mọi người..


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#19 viettien_03

viettien_03

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 May 2013 - 11:15 AM

Cảm ơn bác Bình.

Có thêm 1 vấn đề thê này nữa lisp hoạt động tốt với đường line, và arc, nhưng với dạng polyline thì không tác dụng, vấn đề này liệu có thể giai quyết được không vậy các bác.


  • 0